#include <iostream>
#include <math.h>
#include <climits>

using namespace std;
int main()
{
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(NULL);
    long long n,k,x;
    long long zbps;


    cin>>n>>k>>x;
    long long podz[k];
    long long vn[n];
    for(int i=0; i<n; i++)
        cin>>vn[i];
    for(int i=0; i<n-k+1;i++)
    {
        for(int q=0;q<k;q++)
                podz[q]=0;
        zbps=0;
        for(int j=i;j<k+i;j++)
        {
            zbps+=vn[j];
        }
        for(int j=i+1;j<k+i;j++)
            for(int q=0;q<j-i;q++)
                podz[q]+=vn[j];
        for(int j=1;j<x;j++)
        {
             int naji = 0;
            for (int i = 1; i < k; i++)
                {if (podz[i] > podz[naji])
                    naji = i;}
                zbps+=podz[naji];
                podz[naji]=LLONG_MIN;
        }

        cout<<zbps<<' ';


    }
    return 0;
}